Debian Bug report logs - #560056
net.ipv6.bindv6only=1 breaks java networking

version graph

Package: openjdk-6; Maintainer for openjdk-6 is OpenJDK Team <openjdk@lists.launchpad.net>;

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Tue, 8 Dec 2009 16:12:09 UTC

Severity: important

Tags: confirmed, ipv6

Merged with 560142, 561835

Found in versions 6b18-1.8-2, 6b16-1.6.1-2

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6342561

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, heikkih@gmail.com, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6-jdk. (Tue, 08 Dec 2009 16:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heikki Henriksen <heikkih@gmail.com>:
New Bug report received and forwarded. Copy sent to heikkih@gmail.com, OpenJDK Team <openjdk@lists.launchpad.net>. (Tue, 08 Dec 2009 16:12:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Heikki Henriksen <heikkih@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: net.ipv6.bindv6only=1 breaks java networking
Date: Tue, 08 Dec 2009 17:10:39 +0100
Package: openjdk-6-jdk
Version: 6b16-1.6.1-2
Severity: important

Netbase has recently introduced the sysctl-setting
net.ipv6.bindv6only=1 in /etc/sysctl.d/bindv6only.conf and this setting
will probably be the default in squeeze.

This setting breaks networking in java, and any traffic will for openjdk
always result in a "java.net.NoRouteToHostException: Network is
unreachable".

It should probably be an rc-bug, but setting as important for now, since
users can easily rectify the issue.

Quick fix for users hit by this:

sudo sed -i 's/net.ipv6.bindv6only\ =\ 1/net.ipv6.bindv6only\ =\ 0/' \
/etc/sysctl.d/bindv6only.conf && sudo invoke-rc.d procps restart


This is present in both Sun's Java6 and OpenJDK6.

cheers, 
Heikki



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=nb_NO.UTF-8, LC_CTYPE=nb_NO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages openjdk-6-jdk depends on:
ii  dpkg                   1.15.5.4          Debian package management system
ii  libc6                  2.10.2-2          GNU C Library: Shared libraries
ii  libgcc1                1:4.4.2-3         GCC support library
ii  libx11-6               2:1.3.2-1         X11 client-side library
ii  openjdk-6-jre          6b16-1.6.1-2      OpenJDK Java runtime, using Hotspo
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages openjdk-6-jdk recommends:
pn  libxt-dev                     <none>     (no description available)

Versions of packages openjdk-6-jdk suggests:
pn  openjdk-6-demo                <none>     (no description available)
pn  openjdk-6-source              <none>     (no description available)
pn  visualvm                      <none>     (no description available)

-- no debconf information




Bug reassigned from package 'openjdk-6-jdk' to 'openjdk-6'. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:45:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions openjdk-6/6b16-1.6.1-2. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:45:05 GMT) Full text and rfc822 format available.

Forcibly Merged 560056 560142. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:45:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6342561'. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Fri, 11 Dec 2009 19:18:06 GMT) Full text and rfc822 format available.

Added indication that bug 560056 blocks 560238 Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Sat, 12 Dec 2009 23:45:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 6b16-1.6.1-2. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Sun, 13 Dec 2009 13:24:04 GMT) Full text and rfc822 format available.

Added indication that bug 560056 blocks 561930 Request was from Damien Raude-Morvan <drazzib@debian.org> to control@bugs.debian.org. (Mon, 21 Dec 2009 20:18:07 GMT) Full text and rfc822 format available.

Bug 560238 cloned as bug 562804. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Mon, 28 Dec 2009 03:00:10 GMT) Full text and rfc822 format available.

Added indication that 560056 affects vuze Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Sat, 02 Jan 2010 01:12:02 GMT) Full text and rfc822 format available.

Added indication that bug 560056 blocks 563699 Request was from "Damien Raude-Morvan" <drazzib@drazzib.com> to control@bugs.debian.org. (Wed, 06 Jan 2010 20:39:11 GMT) Full text and rfc822 format available.

Added indication that bug 560056 blocks 563946 Request was from "Damien Raude-Morvan" <drazzib@drazzib.com> to control@bugs.debian.org. (Wed, 06 Jan 2010 20:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Fri, 08 Jan 2010 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Schaller <schallee@darkmist.net>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 08 Jan 2010 14:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 560056@bugs.debian.org (full text, mbox):

From: Ed Schaller <schallee@darkmist.net>
To: 560056@bugs.debian.org
Subject: system property workaround
Date: Fri, 8 Jan 2010 08:14:10 -0600
[Message part 1 (text/plain, inline)]
It's worth mentioning that 

-Djava.net.preferIPv4Stack=true

provides another workaround.

>>>------>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Thu, 14 Jan 2010 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Bigot <julien.bigot@inria.fr>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 14 Jan 2010 15:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 560056@bugs.debian.org (full text, mbox):

From: Julien Bigot <julien.bigot@inria.fr>
To: 560056@bugs.debian.org
Subject: upstream bug
Date: Thu, 14 Jan 2010 16:31:36 +0100
[Message part 1 (text/plain, inline)]
It seems the upstream bug on the Sun bug-tracker ( 
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6342561 as stated by Marco 
d'Itri ) is considered of rather low priority.

I saw however that the bug-tracker has a "voting" feature.
Perhaps people hit by the bug and having an account at Sun could try voting 
for it.

Please take note that this is not an encouragement to flood the bug-tracker.
I'm just hoping that we can help people at Sun realize that this bug is 
annoying some of its users and that it's not just some crazy people at Debian 
asking for a crazy feature.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Sat, 23 Jan 2010 12:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sat, 23 Jan 2010 12:54:03 GMT) Full text and rfc822 format available.

Message #42 received at 560056@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Ed Schaller <schallee@darkmist.net>, 560056@bugs.debian.org
Subject: Re: Bug#560056: system property workaround
Date: Sat, 23 Jan 2010 12:43:18 +0000
[Message part 1 (text/plain, inline)]
On Fri, Jan 08, 2010 at 08:14:10AM -0600, Ed Schaller wrote:

> It's worth mentioning that 
> -Djava.net.preferIPv4Stack=true
> provides another workaround.

Is there a way to set that globally?


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Sun, 24 Jan 2010 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julius Davies <juliusdavies@gmail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 24 Jan 2010 01:57:03 GMT) Full text and rfc822 format available.

Message #47 received at 560056@bugs.debian.org (full text, mbox):

From: Julius Davies <juliusdavies@gmail.com>
To: 560056@bugs.debian.org
Subject: net.ipv6.bindv6only=1 breaks java networking
Date: Sat, 23 Jan 2010 17:56:00 -0800
This bug also breaks my personal java installation I keep in
/opt/java/ (not even package managed).

I'm trying to connect to LOCALHOST from Java!!!!!!!!!  Brutal bug to
track down.  Try googling for "java localhost network is unreachable"!
 Ha!

Personally, I consider this a Debian bug, not a Java bug.


localhost
Caused by: java.net.SocketException: Network is unreachable
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:333)
	at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:195)
	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:182)
	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:366)
	at java.net.Socket.connect(Socket.java:525)
	at java.net.Socket.connect(Socket.java:475)
	at java.net.Socket.(Socket.java:372)
	at java.net.Socket.(Socket.java:186)
	at org.postgresql.core.PGStream.(PGStream.java:62)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:76)
	... 31 more




-- 
yours,

Julius Davies
250-592-2284 (Home)
250-893-4579 (Mobile)




Bug 560238 cloned as bug 569937. Request was from Marco d'Itri <md@Linux.IT> to control@bugs.debian.org. (Mon, 15 Feb 2010 10:12:17 GMT) Full text and rfc822 format available.

Forcibly Merged 560056 560142 561835. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 28 Feb 2010 23:15:04 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 06:57:09 GMT) Full text and rfc822 format available.

Notification sent to Heikki Henriksen <heikkih@gmail.com>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 06:57:09 GMT) Full text and rfc822 format available.

Message #56 received at 560056-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 560056-close@bugs.debian.org
Subject: Bug#560056: fixed in openjdk-6 6b18~pre1-3
Date: Wed, 03 Mar 2010 06:53:03 +0000
Source: openjdk-6
Source-Version: 6b18~pre1-3

We believe that the bug you reported is fixed in the latest version of
openjdk-6, which is due to be installed in the Debian FTP archive:

icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
icedtea6-plugin_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/icedtea6-plugin_6b18~pre1-3_amd64.deb
openjdk-6-dbg_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-dbg_6b18~pre1-3_amd64.deb
openjdk-6-demo_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-demo_6b18~pre1-3_amd64.deb
openjdk-6-doc_6b18~pre1-3_all.deb
  to main/o/openjdk-6/openjdk-6-doc_6b18~pre1-3_all.deb
openjdk-6-jdk_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jdk_6b18~pre1-3_amd64.deb
openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
openjdk-6-jre-lib_6b18~pre1-3_all.deb
  to main/o/openjdk-6/openjdk-6-jre-lib_6b18~pre1-3_all.deb
openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
openjdk-6-jre_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre_6b18~pre1-3_amd64.deb
openjdk-6-source_6b18~pre1-3_all.deb
  to main/o/openjdk-6/openjdk-6-source_6b18~pre1-3_all.deb
openjdk-6_6b18~pre1-3.diff.gz
  to main/o/openjdk-6/openjdk-6_6b18~pre1-3.diff.gz
openjdk-6_6b18~pre1-3.dsc
  to main/o/openjdk-6/openjdk-6_6b18~pre1-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560056@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated openjdk-6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Mar 2010 23:46:57 +0100
Source: openjdk-6
Binary: openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre openjdk-6-jre-lib openjdk-6-demo openjdk-6-source openjdk-6-doc openjdk-6-dbg icedtea6-plugin icedtea-6-jre-cacao openjdk-6-jre-zero
Architecture: source amd64 all
Version: 6b18~pre1-3
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 icedtea-6-jre-cacao - Alternative JVM for OpenJDK, using Cacao
 icedtea6-plugin - web browser plugin based on OpenJDK and IcedTea to execute Java a
 openjdk-6-dbg - Java runtime based on OpenJDK (debugging symbols)
 openjdk-6-demo - Java runtime based on OpenJDK (demos and examples)
 openjdk-6-doc - OpenJDK Development Kit (JDK) documentation
 openjdk-6-jdk - OpenJDK Development Kit (JDK)
 openjdk-6-jre - OpenJDK Java runtime, using ${vm:Name}
 openjdk-6-jre-headless - OpenJDK Java runtime, using ${vm:Name} (headless)
 openjdk-6-jre-lib - OpenJDK Java runtime (architecture independent libraries)
 openjdk-6-jre-zero - Alternative JVM for OpenJDK, using Zero/Shark
 openjdk-6-source - OpenJDK Development Kit (JDK) source files
Closes: 560056 561930 563699 563946
Changes: 
 openjdk-6 (6b18~pre1-3) unstable; urgency=low
 .
   * Add a patch for improved handling of IPv4 mapped IPv6 addresses.
     (Closes: #560056, #561930, #563699, #563946)
Checksums-Sha1: 
 11da779b63ef34efef197f37282d687dc6063df4 2343 openjdk-6_6b18~pre1-3.dsc
 d1b9ab15bcc218763ed1ea7898c2b886e3e6a9e2 117583 openjdk-6_6b18~pre1-3.diff.gz
 80726d3d7ca6db29a86632383b0438e7eff90d0f 11380904 openjdk-6-jdk_6b18~pre1-3_amd64.deb
 7bccaf8b0b98873cb3d1949bda66722119ca8d86 25141604 openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
 e9ea4731f8222e91a8dcf4ab22c79d7285daaa02 267764 openjdk-6-jre_6b18~pre1-3_amd64.deb
 f4308b635751fb9104abfa5e0cc2cb6021a3d621 2385402 openjdk-6-demo_6b18~pre1-3_amd64.deb
 b1b4ab5da45f3bd71dd397dc0297c29b9c53bf2a 56161938 openjdk-6-dbg_6b18~pre1-3_amd64.deb
 5f45985401a4b22e1df91a9a0d653b966a89a9ab 83296 icedtea6-plugin_6b18~pre1-3_amd64.deb
 505c5f5b7151767d3e37ef021c46f2495037e52b 24804 icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
 e66a90f716adaf2f24fdc5dd09dd067583ac8eed 1212 openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
 0b502349e37fc03c7a4ddb7b2c762ed6d46422b6 8390654 openjdk-6-jre-lib_6b18~pre1-3_all.deb
 040c48469d177f4ddf5752562cdf10a7548d6418 27034318 openjdk-6-source_6b18~pre1-3_all.deb
 c4bd3f744e04bdb721d1def8157a6bc23c375510 11930382 openjdk-6-doc_6b18~pre1-3_all.deb
Checksums-Sha256: 
 583cfed522f04255bd16602027f7e8b06d3fa94a3b85203a3b473ab660a2c22e 2343 openjdk-6_6b18~pre1-3.dsc
 eb73e6e41d9b11ce59ba3fc153f1d26852222f9d93a4a23353d171812ba68a58 117583 openjdk-6_6b18~pre1-3.diff.gz
 1c5cab5835f3da266109ec88ae812d66a0876c6ce40cc82a2c4970bfa84511fa 11380904 openjdk-6-jdk_6b18~pre1-3_amd64.deb
 28aedad6d1140674ad8c57f42b82bdd1e9b70cbe8393a605488f0c2f78ee3157 25141604 openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
 b4c468d0f0bed4e6e0cdf9ef03bee59b74e1396b4d9d6f2ccf5633163fa1fff1 267764 openjdk-6-jre_6b18~pre1-3_amd64.deb
 ca2f5fee0346ea03c100d018f0d80112d125f6f87bf412898a928b2bd8b33087 2385402 openjdk-6-demo_6b18~pre1-3_amd64.deb
 10651e82805ce49c4a5c26df31faa2c35c386960e7d5c9cb34165a470ab0d739 56161938 openjdk-6-dbg_6b18~pre1-3_amd64.deb
 62ea398d56d8dc0f033e02262d4c4a69d68cadc548af2154fe2bfdddad4cf02e 83296 icedtea6-plugin_6b18~pre1-3_amd64.deb
 c2f60847c4412091fb9dc063eeee1d4e8aa0b6ce8416f5e62e168c97ee4c4a6f 24804 icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
 61f2f6b65541272baf4026ce4d09510223d624f963ab1b4bc4c1a244d5ea7d00 1212 openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
 cca034e47c0e5c7ef6c24fd5e9e929ecb0ef94f544214d87e63522e22413146e 8390654 openjdk-6-jre-lib_6b18~pre1-3_all.deb
 3e61bef8f1377719ae7a81c29e5f8a3e2e27589a10d53ad820e64bc0bb9bbf40 27034318 openjdk-6-source_6b18~pre1-3_all.deb
 44ed39d3bf2a6b1199fe67b42beac129d1987f401d4240f95c4eff77f63312ad 11930382 openjdk-6-doc_6b18~pre1-3_all.deb
Files: 
 a010a48c6bc125ebbd38f74ee4f8523d 2343 java optional openjdk-6_6b18~pre1-3.dsc
 c07764ae4b3068fa947b480fad6edb78 117583 java optional openjdk-6_6b18~pre1-3.diff.gz
 22a8a0f124b06244fbaf2e0bd4334c40 11380904 java optional openjdk-6-jdk_6b18~pre1-3_amd64.deb
 1e7f5b921194fe3eec179edd069a7b82 25141604 java optional openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
 9f856725715d88c164db224f3b945a1a 267764 java optional openjdk-6-jre_6b18~pre1-3_amd64.deb
 2daf6fa43d3e08c2bbb04363c0006a86 2385402 java extra openjdk-6-demo_6b18~pre1-3_amd64.deb
 017b7bf3d073fd40503dde2a88da6c4d 56161938 debug extra openjdk-6-dbg_6b18~pre1-3_amd64.deb
 d978a309a8394ab61b0fe0ce3e88a4de 83296 web optional icedtea6-plugin_6b18~pre1-3_amd64.deb
 0909652d2f010d86883a78256b94399b 24804 java extra icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
 d6debcb6e3d9e0b83108063178d0bc51 1212 java extra openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
 1eb43576410f53a72b632e2ad5f551e6 8390654 java optional openjdk-6-jre-lib_6b18~pre1-3_all.deb
 7fe7eb334f0831d19a75acd4df89670b 27034318 java extra openjdk-6-source_6b18~pre1-3_all.deb
 acbf5d2c29d26bdb8992943ed535b40a 11930382 doc optional openjdk-6-doc_6b18~pre1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuN+xUACgkQfY3dicTPjsOmjwCfWt5zZFb9zqSIRWuYAtJolOdV
NTcAnijNxIP4DgJi+VG/eOhKDdEu2Dma
=E0sk
-----END PGP SIGNATURE-----





Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 06:57:10 GMT) Full text and rfc822 format available.

Notification sent to Benjamin Eikel <debian@eikel.org>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 06:57:10 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 06:57:11 GMT) Full text and rfc822 format available.

Notification sent to Roland Mas <lolando@debian.org>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 06:57:11 GMT) Full text and rfc822 format available.

Removed indication that bug 560056 blocks 560238 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 08:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Wed, 03 Mar 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jindřich Makovička <makovick@gmail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 03 Mar 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 560056@bugs.debian.org (full text, mbox):

From: Jindřich Makovička <makovick@gmail.com>
To: 560056@bugs.debian.org
Subject: net.ipv6.bindv6only=1 breaks java networking
Date: Wed, 3 Mar 2010 19:58:42 +0100
Eclipse (upstream Eclipse Classic) still fails to update or install
additional sw:

$ strace -f -econnect /opt/eclipse/eclipse

[pid 12075] connect(118, {sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("127.0.0.1")}, 16) = 0
[pid 12075] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:206.191.52.47", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12079] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:206.191.52.47", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12077] connect(118, {sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("127.0.0.1")}, 16) = 0
[pid 12077] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:212.227.210.100", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12075] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:212.227.210.100", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12076] connect(118, {sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("127.0.0.1")}, 16) = 0
[pid 12076] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:207.7.122.15", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12081] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:207.7.122.15", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12077] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:206.191.52.47", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12031] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:206.191.52.47", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12079] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:206.191.52.47", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)
[pid 12078] connect(118, {sa_family=AF_INET6, sin6_port=htons(80),
inet_pton(AF_INET6, "::ffff:206.191.52.47", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is
unreachable)


-- 
Jindrich Makovicka




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Wed, 03 Mar 2010 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <mail.twerner@googlemail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 03 Mar 2010 22:18:03 GMT) Full text and rfc822 format available.

Message #78 received at 560056@bugs.debian.org (full text, mbox):

From: Torsten Werner <mail.twerner@googlemail.com>
To: Jindřich Makovička <makovick@gmail.com>, 560056@bugs.debian.org
Subject: Re: Bug#560056: net.ipv6.bindv6only=1 breaks java networking
Date: Wed, 03 Mar 2010 23:16:16 +0100
Jindřich Makovička schrieb:
> $ strace -f -econnect /opt/eclipse/eclipse

Which package version, which architecture are you using?

Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Thu, 04 Mar 2010 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrice DUROUX <patrice.duroux@igh.cnrs.fr>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 04 Mar 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #83 received at 560056@bugs.debian.org (full text, mbox):

From: Patrice DUROUX <patrice.duroux@igh.cnrs.fr>
To: 560056@bugs.debian.org
Subject: net.ipv6.bindv6only=1 breaks java networking
Date: Thu, 4 Mar 2010 14:56:12 +0100

Hy,

I still have some problem using Tomcat server since the last update
(6b18~pre1-3) on AMD64 architecture with the standard setting
net.ipv6.bindv6only=1 in /etc/sysctl.d/bindv6only.conf

The server starts without complaining (no more Socket exception) but
then they are not reachable.
May this help!

Regards,
Patrice.

-- 
Patrice DUROUX
CNRS Research Engineer

IMGT®, the international ImMunoGeneTics information system®
http://www.imgt.org

IMGT, LIGM, IGH, UPR CNRS 1142
141, rue de la Cardonille - 34396 Montpellier Cedex 5 - France
room: S01
tel: +33 4 99 61 99 28 (office)
fax: +33 4 99 61 99 01
mailto:patrice.duroux@igh.cnrs.fr




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Thu, 04 Mar 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <mail.twerner@googlemail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 04 Mar 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #88 received at 560056@bugs.debian.org (full text, mbox):

From: Torsten Werner <mail.twerner@googlemail.com>
To: Patrice DUROUX <patrice.duroux@igh.cnrs.fr>, 560056@bugs.debian.org
Subject: Re: Bug#560056: net.ipv6.bindv6only=1 breaks java networking
Date: Thu, 04 Mar 2010 20:57:04 +0100
Hi Patrice,

Patrice DUROUX schrieb:
> I still have some problem using Tomcat server since the last update
> (6b18~pre1-3) on AMD64 architecture with the standard setting
> net.ipv6.bindv6only=1 in /etc/sysctl.d/bindv6only.conf

may you send the output of

$ sudo netstat -tlpn | grep java

after tomcat has been started, please?


Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Fri, 05 Mar 2010 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrice DUROUX <patrice.duroux@igh.cnrs.fr>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 05 Mar 2010 09:24:03 GMT) Full text and rfc822 format available.

Message #93 received at 560056@bugs.debian.org (full text, mbox):

From: Patrice DUROUX <patrice.duroux@igh.cnrs.fr>
To: Torsten Werner <mail.twerner@googlemail.com>
Cc: 560056@bugs.debian.org
Subject: Re: Bug#560056: net.ipv6.bindv6only=1 breaks java networking
Date: Fri, 5 Mar 2010 10:21:36 +0100
On Thu, 04 Mar 2010 20:57:04 +0100
Torsten Werner <mail.twerner@googlemail.com> wrote:

> Hi Patrice,
> 
> Patrice DUROUX schrieb:
> > I still have some problem using Tomcat server since the last update
> > (6b18~pre1-3) on AMD64 architecture with the standard setting
> > net.ipv6.bindv6only=1 in /etc/sysctl.d/bindv6only.conf
> 
> may you send the output of
> 
> $ sudo netstat -tlpn | grep java
> 
> after tomcat has been started, please?
> 
> 
> Torsten

Hi Torsten,

here is the result:

lef-beta1:~# netstat -tlpn | grep java
tcp6       0      0 :::8080                 :::*                    LISTEN      19152/java      
tcp6       0      0 127.0.0.1:8005          :::*                    LISTEN      19152/java      


It seems that the following one is missing, isn't it?

tcp6       0      0 :::8009                 :::*                    LISTEN      19152/java      

Thanks,
Patrice.




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Fri, 05 Mar 2010 10:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <mail.twerner@googlemail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 05 Mar 2010 10:09:14 GMT) Full text and rfc822 format available.

Message #98 received at 560056@bugs.debian.org (full text, mbox):

From: Torsten Werner <mail.twerner@googlemail.com>
To: Patrice DUROUX <patrice.duroux@igh.cnrs.fr>
Cc: 560056@bugs.debian.org
Subject: Re: Bug#560056: net.ipv6.bindv6only=1 breaks java networking
Date: Fri, 05 Mar 2010 11:07:13 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Patrice DUROUX schrieb:
> tcp6       0      0 :::8080                 :::*                    LISTEN      19152/java

I think that is the correct behaviour. The server listens on :::8080 and
net.ipv6.bindv6only=1 is set. That means it won't accept IPv4
connections. You can try setting an explicit IPv4 address it should
listen on. But if localhost resolves to an IPv6 address like

$ getent hosts localhost
::1             localhost ip6-localhost ip6-loopback

you should be able to connect to http://localhost:8080 with your browser
but http://127.0.0.1:8080 would not work.

> It seems that the following one is missing, isn't it?
> 
> tcp6       0      0 :::8009                 :::*                    LISTEN      19152/java      

Is it? I do not really know.


Cheers,
Torsten
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkuQ19EACgkQfY3dicTPjsNjNACeLIZfVskM2rAKb2hWhdfkNdDq
LIgAn0Hd2pTp402K6mdYLxRp3a3L0j4E
=tNoL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Fri, 12 Mar 2010 10:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Żur <grzegorz.zur@gmail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 12 Mar 2010 10:33:06 GMT) Full text and rfc822 format available.

Message #103 received at 560056@bugs.debian.org (full text, mbox):

From: Grzegorz Żur <grzegorz.zur@gmail.com>
To: 560056@bugs.debian.org
Subject: Go
Date: Fri, 12 Mar 2010 11:31:49 +0100
Hi,

This bug also affects Google Go. There's even a thread on it:
http://groups.google.com/group/golang-nuts/browse_thread/thread/8fbca530e835a9ce

-- 
Grzegorz Żur




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Apr 2010 07:32:55 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Mon, 03 May 2010 07:30:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Paul Menzel <pm.debian@googlemail.com>' from 'Heikki Henriksen <heikkih@gmail.com>' Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Mon, 03 May 2010 07:30:07 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions openjdk-6/6b18~pre1-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 May 2010 07:30:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 6b18-1.8-2. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Mon, 03 May 2010 07:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Mon, 03 May 2010 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Mon, 03 May 2010 07:51:03 GMT) Full text and rfc822 format available.

Message #118 received at 560056@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 560056@bugs.debian.org
Cc: Heikki Henriksen <heikkih@gmail.com>
Subject: »net.ipv6.bindv6only=1 breaks java networking« still present in 6b18-1.8-2
Date: Mon, 03 May 2010 09:47:52 +0200
[Message part 1 (text/plain, inline)]
Dear Debian folks,


Am Mittwoch, den 03.03.2010, 06:57 +0000 schrieb Debian Bug Tracking System:

[…]

> #560056: net.ipv6.bindv6only=1 breaks java networking
> 
> It has been closed by Torsten Werner <twerner@debian.org>.

Unfortunately I just hit this bug using Eclipse yesterday.

Trying to do a debug run I got

        ERROR: transport error 202: connect failed: Connection refused
        ERROR: JDWP Transport dt_socket failed to initialize, TRANSPORT_INIT(510)
        JDWP exit error AGENT_ERROR_TRANSPORT_INIT(197): No transports initialized [../../../src/share/back/debugInit.c:690]

Setting

   net.ipv6.bindv6only=0

fixed it for me.

I hope it is correct to unarchiving and reopen this bug. Bug#575163 [1]
seems to be also similar.

Please tell me, if you need other information.


Thanks,

Paul


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=575163

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages openjdk-6-jdk depends on:
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  openjdk-6-jre           6b18-1.8-2       OpenJDK Java runtime, using Hotspo
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages openjdk-6-jdk recommends:
ii  libxt-dev                     1:1.0.7-1  X11 toolkit intrinsics library (de

Versions of packages openjdk-6-jdk suggests:
pn  openjdk-6-demo                <none>     (no description available)
pn  openjdk-6-source              <none>     (no description available)
pn  visualvm                      <none>     (no description available)

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Mon, 03 May 2010 12:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Mon, 03 May 2010 12:24:06 GMT) Full text and rfc822 format available.

Message #123 received at 560056@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Paul Menzel <pm.debian@googlemail.com>, 560056@bugs.debian.org
Cc: Heikki Henriksen <heikkih@gmail.com>
Subject: Re: Bug#560056: »net.ipv6.bindv6only=1 breaks java networking« still present in 6b18-1.8-2
Date: Mon, 03 May 2010 14:21:01 +0200
Hi,

Paul Menzel schrieb:
> Unfortunately I just hit this bug using Eclipse yesterday.
> 
> Trying to do a debug run I got
> 
>         ERROR: transport error 202: connect failed: Connection refused
>         ERROR: JDWP Transport dt_socket failed to initialize, TRANSPORT_INIT(510)
>         JDWP exit error AGENT_ERROR_TRANSPORT_INIT(197): No transports initialized [../../../src/share/back/debugInit.c:690]

may you give more details on how to reproduce the problem, please?

Thanks,
Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Mon, 03 May 2010 12:34:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Mon, 03 May 2010 12:34:31 GMT) Full text and rfc822 format available.

Message #128 received at 560056@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 560056@bugs.debian.org
Subject: Re: Bug#560056: »net.ipv6.bindv6only=1 breaks java networking« still present in 6b18-1.8-2
Date: Mon, 03 May 2010 14:33:14 +0200
[Message part 1 (text/plain, inline)]
Am Montag, den 03.05.2010, 14:21 +0200 schrieb Torsten Werner:
> Paul Menzel schrieb:
> > Unfortunately I just hit this bug using Eclipse yesterday.
> > 
> > Trying to do a debug run I got
> > 
> >         ERROR: transport error 202: connect failed: Connection refused
> >         ERROR: JDWP Transport dt_socket failed to initialize, TRANSPORT_INIT(510)
> >         JDWP exit error AGENT_ERROR_TRANSPORT_INIT(197): No transports initialized [../../../src/share/back/debugInit.c:690]
> 
> may you give more details on how to reproduce the problem, please?

Sorry.

Open Eclipse. Open a Java project and instead of just Run → Run (Ctrl +
F11) do Run → Debug (F11). It will complain with the above error
message.

        $ dpkg -l
        ii	eclipse	3.5.2-2


Thanks,

Paul
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Tue, 04 May 2010 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Tue, 04 May 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #133 received at 560056@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Paul Menzel <pm.debian@googlemail.com>, 560056@bugs.debian.org
Subject: Re: Bug#560056: »net.ipv6.bindv6only=1 breaks java networking« still present in 6b18-1.8-2
Date: Tue, 4 May 2010 21:10:08 +0200
On Mon, May 3, 2010 at 2:33 PM, Paul Menzel <pm.debian@googlemail.com> wrote:
> Am Montag, den 03.05.2010, 14:21 +0200 schrieb Torsten Werner:
> Open Eclipse. Open a Java project and instead of just Run → Run (Ctrl +
> F11) do Run → Debug (F11). It will complain with the above error
> message.

That works perfectly for me. What does

  java -version

display on your system?

Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#560056; Package openjdk-6. (Tue, 04 May 2010 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Tue, 04 May 2010 19:21:03 GMT) Full text and rfc822 format available.

Message #138 received at 560056@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 560056@bugs.debian.org
Subject: Re: Bug#560056: »net.ipv6.bindv6only=1 breaks java networking« still present in 6b18-1.8-2
Date: Tue, 04 May 2010 21:19:12 +0200
[Message part 1 (text/plain, inline)]
Am Dienstag, den 04.05.2010, 21:10 +0200 schrieb Torsten Werner:
> On Mon, May 3, 2010 at 2:33 PM, Paul Menzel <pm.debian@googlemail.com> wrote:
> > Am Montag, den 03.05.2010, 14:21 +0200 schrieb Torsten Werner:
> > Open Eclipse. Open a Java project and instead of just Run → Run (Ctrl +
> > F11) do Run → Debug (F11). It will complain with the above error
> > message.
> 
> That works perfectly for me. What does
> 
>   java -version
> 
> display on your system?

Shoot. Have I messed up the Java version because I choose to use OpenJDK
for my project and Eclipse is using Sun’s Java from non-free?

        $ java -version
        java version "1.6.0_20"
        Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
        Java HotSpot(TM) Server VM (build 16.3-b01, mixed mode)

Please advice, how to proceed and sorry if I got this wrong!


Thanks,

Paul
[signature.asc (application/pgp-signature, inline)]

Reply sent to mail.twerner@googlemail.com:
You have taken responsibility. (Tue, 04 May 2010 19:45:03 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Tue, 04 May 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #143 received at 560056-done@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Paul Menzel <pm.debian@googlemail.com>, 560056-done@bugs.debian.org
Subject: Re: Bug#560056: »net.ipv6.bindv6only=1 breaks java networking« still present in 6b18-1.8-2
Date: Tue, 4 May 2010 21:43:42 +0200
On Tue, May 4, 2010 at 9:19 PM, Paul Menzel <pm.debian@googlemail.com> wrote:
> Shoot. Have I messed up the Java version because I choose to use OpenJDK
> for my project and Eclipse is using Sun’s Java from non-free?
>
>        $ java -version
>        java version "1.6.0_20"
>        Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
>        Java HotSpot(TM) Server VM (build 16.3-b01, mixed mode)
>
> Please advice, how to proceed and sorry if I got this wrong!

Please use update-alternatives to switch to OpenJDK. I am closing this
bug again. (There are separate bug reports for sun-java6.)

Torsten




Reply sent to mail.twerner@googlemail.com:
You have taken responsibility. (Tue, 04 May 2010 19:45:04 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Tue, 04 May 2010 19:45:04 GMT) Full text and rfc822 format available.

Reply sent to mail.twerner@googlemail.com:
You have taken responsibility. (Tue, 04 May 2010 19:45:05 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Tue, 04 May 2010 19:45:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Jun 2010 07:34:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:40:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.